<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:05 CET 2009 -->
<TITLE>
VarIntGaussPivoting.LenL
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.math.varint.array.VarIntGaussPivoting.LenL class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="VarIntGaussPivoting.LenL";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/VarIntGaussPivoting.LenL.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../ch/javasoft/math/varint/array/VarIntGaussPivoting.html" title="class in ch.javasoft.math.varint.array"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../ch/javasoft/math/varint/array/VarIntGaussPivoting.LenLE.html" title="class in ch.javasoft.math.varint.array"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/math/varint/array/VarIntGaussPivoting.LenL.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="VarIntGaussPivoting.LenL.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.math.varint.array</FONT>
<BR>
Class VarIntGaussPivoting.LenL</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.math.varint.array.VarIntGaussPivoting.LenL</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../../ch/javasoft/math/linalg/GaussPivoting.html" title="interface in ch.javasoft.math.linalg">GaussPivoting</A>&lt;<A HREF="../../../../../ch/javasoft/math/varint/VarIntNumber.html" title="class in ch.javasoft.math.varint">VarIntNumber</A>,<A HREF="../../../../../ch/javasoft/math/varint/VarIntNumber.html" title="class in ch.javasoft.math.varint">VarIntNumber</A>[]&gt;</DD>
</DL>
<DL>
<DT><B>Enclosing class:</B><DD><A HREF="../../../../../ch/javasoft/math/varint/array/VarIntGaussPivoting.html" title="class in ch.javasoft.math.varint.array">VarIntGaussPivoting</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public static class <A HREF="../../../../../src-html/ch/javasoft/math/varint/array/VarIntGaussPivoting.html#line.92"><B>VarIntGaussPivoting.LenL</B></A><DT>extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A><DT>implements <A HREF="../../../../../ch/javasoft/math/linalg/GaussPivoting.html" title="interface in ch.javasoft.math.linalg">GaussPivoting</A>&lt;<A HREF="../../../../../ch/javasoft/math/varint/VarIntNumber.html" title="class in ch.javasoft.math.varint">VarIntNumber</A>,<A HREF="../../../../../ch/javasoft/math/varint/VarIntNumber.html" title="class in ch.javasoft.math.varint">VarIntNumber</A>[]&gt;</DL>
</PRE>

<P>
This pivoting strategy uses bit length of the value. Note that the length 
 is an estimate for the logarithm of the big integer number. A pivot 
 element is chosen if the length is (L)ess than the value of a previous 
 candidate.
 <p>
 Pivot, if <code>bitlen(value) < previous</code>
<P>

<P>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/varint/array/VarIntGaussPivoting.LenL.html#VarIntGaussPivoting.LenL(int)">VarIntGaussPivoting.LenL</A></B>(int&nbsp;pivot)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/varint/array/VarIntGaussPivoting.LenL.html#checkCandidateCol(ch.javasoft.math.varint.VarIntNumber[][], int, int, int, int)">checkCandidateCol</A></B>(<A HREF="../../../../../ch/javasoft/math/varint/VarIntNumber.html" title="class in ch.javasoft.math.varint">VarIntNumber</A>[][]&nbsp;matrix,
                                   int&nbsp;pivot,
                                   int&nbsp;row,
                                   int&nbsp;col,
                                   int&nbsp;rowResult)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Check metrix value, e.g.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/varint/array/VarIntGaussPivoting.LenL.html#checkCandidateRow(ch.javasoft.math.varint.VarIntNumber[][], int, int)">checkCandidateRow</A></B>(<A HREF="../../../../../ch/javasoft/math/varint/VarIntNumber.html" title="class in ch.javasoft.math.varint">VarIntNumber</A>[][]&nbsp;matrix,
                                   int&nbsp;pivot,
                                   int&nbsp;row)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Check a whole row, e.g.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/varint/array/VarIntGaussPivoting.LenL.html#getPivotCol()">getPivotCol</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the column index of the pivot row</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/varint/array/VarIntGaussPivoting.LenL.html#getPivotRow()">getPivotRow</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the row index of the pivot row</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="VarIntGaussPivoting.LenL(int)"><!-- --></A><H3>
VarIntGaussPivoting.LenL</H3>
<PRE>
public <A HREF="../../../../../src-html/ch/javasoft/math/varint/array/VarIntGaussPivoting.LenL.html#line.96"><B>VarIntGaussPivoting.LenL</B></A>(int&nbsp;pivot)</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="checkCandidateRow(ch.javasoft.math.varint.VarIntNumber[][], int, int)"><!-- --></A><H3>
checkCandidateRow</H3>
<PRE>
public int <A HREF="../../../../../src-html/ch/javasoft/math/varint/array/VarIntGaussPivoting.LenL.html#line.100"><B>checkCandidateRow</B></A>(<A HREF="../../../../../ch/javasoft/math/varint/VarIntNumber.html" title="class in ch.javasoft.math.varint">VarIntNumber</A>[][]&nbsp;matrix,
                             int&nbsp;pivot,
                             int&nbsp;row)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/linalg/GaussPivoting.html#checkCandidateRow(A[], int, int)">GaussPivoting</A></CODE></B></DD>
<DD>Check a whole row, e.g. to count the number of zeros for the row, since
 <CODE>checkCandidateCol(..)</CODE> 
 is only called for non-zero values. The returned value is then passed to
 <CODE>checkCandidateCol(..)</CODE>.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../ch/javasoft/math/linalg/GaussPivoting.html#checkCandidateRow(A[], int, int)">checkCandidateRow</A></CODE> in interface <CODE><A HREF="../../../../../ch/javasoft/math/linalg/GaussPivoting.html" title="interface in ch.javasoft.math.linalg">GaussPivoting</A>&lt;<A HREF="../../../../../ch/javasoft/math/varint/VarIntNumber.html" title="class in ch.javasoft.math.varint">VarIntNumber</A>,<A HREF="../../../../../ch/javasoft/math/varint/VarIntNumber.html" title="class in ch.javasoft.math.varint">VarIntNumber</A>[]&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>matrix</CODE> - the matrix to check<DD><CODE>pivot</CODE> - the pivot index, 0 for the first pivot<DD><CODE>row</CODE> - the row to check
<DT><B>Returns:</B><DD>a       value which is then passed to subsequent calls to
                                <CODE>checkCandidateCol(..)</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="checkCandidateCol(ch.javasoft.math.varint.VarIntNumber[][], int, int, int, int)"><!-- --></A><H3>
checkCandidateCol</H3>
<PRE>
public boolean <A HREF="../../../../../src-html/ch/javasoft/math/varint/array/VarIntGaussPivoting.LenL.html#line.104"><B>checkCandidateCol</B></A>(<A HREF="../../../../../ch/javasoft/math/varint/VarIntNumber.html" title="class in ch.javasoft.math.varint">VarIntNumber</A>[][]&nbsp;matrix,
                                 int&nbsp;pivot,
                                 int&nbsp;row,
                                 int&nbsp;col,
                                 int&nbsp;rowResult)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/linalg/GaussPivoting.html#checkCandidateCol(A[], int, int, int, int)">GaussPivoting</A></CODE></B></DD>
<DD>Check metrix value, e.g. to find smallest or largest pivot elements. Note
 that this method is only called for non-zero values. Returns true if the
 search should be continued, and false if the pivot is already found and
 searching can be aborted.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../ch/javasoft/math/linalg/GaussPivoting.html#checkCandidateCol(A[], int, int, int, int)">checkCandidateCol</A></CODE> in interface <CODE><A HREF="../../../../../ch/javasoft/math/linalg/GaussPivoting.html" title="interface in ch.javasoft.math.linalg">GaussPivoting</A>&lt;<A HREF="../../../../../ch/javasoft/math/varint/VarIntNumber.html" title="class in ch.javasoft.math.varint">VarIntNumber</A>,<A HREF="../../../../../ch/javasoft/math/varint/VarIntNumber.html" title="class in ch.javasoft.math.varint">VarIntNumber</A>[]&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>matrix</CODE> - the matrix to check<DD><CODE>pivot</CODE> - the pivot index, 0 for the first pivot<DD><CODE>row</CODE> - the row index of the value to check<DD><CODE>col</CODE> - the column index of the value to check<DD><CODE>rowResult</CODE> - the result which was previously returned by
                                        <CODE>checkCandidateRow(..)</CODE>
<DT><B>Returns:</B><DD>true if the pivot search should be continued, and false if the
                                pivot is already identified and searching can be aborted</DL>
</DD>
</DL>
<HR>

<A NAME="getPivotCol()"><!-- --></A><H3>
getPivotCol</H3>
<PRE>
public int <A HREF="../../../../../src-html/ch/javasoft/math/varint/array/VarIntGaussPivoting.LenL.html#line.115"><B>getPivotCol</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/linalg/GaussPivoting.html#getPivotCol()">GaussPivoting</A></CODE></B></DD>
<DD>Returns the column index of the pivot row
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../ch/javasoft/math/linalg/GaussPivoting.html#getPivotCol()">getPivotCol</A></CODE> in interface <CODE><A HREF="../../../../../ch/javasoft/math/linalg/GaussPivoting.html" title="interface in ch.javasoft.math.linalg">GaussPivoting</A>&lt;<A HREF="../../../../../ch/javasoft/math/varint/VarIntNumber.html" title="class in ch.javasoft.math.varint">VarIntNumber</A>,<A HREF="../../../../../ch/javasoft/math/varint/VarIntNumber.html" title="class in ch.javasoft.math.varint">VarIntNumber</A>[]&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getPivotRow()"><!-- --></A><H3>
getPivotRow</H3>
<PRE>
public int <A HREF="../../../../../src-html/ch/javasoft/math/varint/array/VarIntGaussPivoting.LenL.html#line.118"><B>getPivotRow</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/linalg/GaussPivoting.html#getPivotRow()">GaussPivoting</A></CODE></B></DD>
<DD>Returns the row index of the pivot row
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../ch/javasoft/math/linalg/GaussPivoting.html#getPivotRow()">getPivotRow</A></CODE> in interface <CODE><A HREF="../../../../../ch/javasoft/math/linalg/GaussPivoting.html" title="interface in ch.javasoft.math.linalg">GaussPivoting</A>&lt;<A HREF="../../../../../ch/javasoft/math/varint/VarIntNumber.html" title="class in ch.javasoft.math.varint">VarIntNumber</A>,<A HREF="../../../../../ch/javasoft/math/varint/VarIntNumber.html" title="class in ch.javasoft.math.varint">VarIntNumber</A>[]&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/VarIntGaussPivoting.LenL.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../ch/javasoft/math/varint/array/VarIntGaussPivoting.html" title="class in ch.javasoft.math.varint.array"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../ch/javasoft/math/varint/array/VarIntGaussPivoting.LenLE.html" title="class in ch.javasoft.math.varint.array"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/math/varint/array/VarIntGaussPivoting.LenL.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="VarIntGaussPivoting.LenL.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
